-- toasty credits:
-- nima appears courtesy of this site:
-- http://dphillin.ddrgeek.com/index.php?dir=dballin/SM%20Toasty/

-- dan forden appears courtesy of system zero, thx aj

-- snorlax was made with stuff from the internet

-- ugly the frog is from an episode of the flash tub; stepmania implementation
-- was in the original naket

function SetToastyCharacter(text)
	-- possible values:
	-- "charmy", "danforden", "snorlax", "nima" (default), "ugly"
	local f = RageFileUtil.CreateRageFile();
	local fname = "toasty.cfg";
	
	if f:Open("Themes/NCEvo/BGAnimations/ScreenGameplay toasty/"..fname, 2) then
		f:Write( text );
		f:Close();
	else Trace("Could not write " .. text .. " to " .. fname);
	end;
	
	f:destroy();
end;

function GetToastyCharacter()
	local f = RageFileUtil.CreateRageFile();
	local toasty = "";
	
	if f:Open("Themes/NCEvo/BGAnimations/ScreenGameplay toasty/toasty.cfg", 1) then
		toasty = f:Read();
		f:Close();
	else
		Trace("Could not read toasty");
		f:destroy();
		return "nima";
	end;
	f:destroy();
	return toasty;
end;

-- code: based on spinal shark's emit and aj's dwi theme
-- implementation: naket coder (ScreenGameplay toasty)